curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/proteins/variantsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/proteins/variants"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/proteins/variants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"name": "<string>",
"is_complex": true,
"sequence_variant": "<string>",
"protein_complex": "<string>",
"biosample_term": "<string>",
"biological_context": "<string>",
"regulatory_type": "<string>",
"class": "<string>",
"label": "<string>",
"method": "<string>",
"files_filesets": "<string>",
"source": "<string>",
"source_url": "<string>",
"score": 123,
"neg_log10_pvalue_adj_ref": 123,
"neg_log10_pvalue_adj_alt": 123,
"motif": "<string>",
"motif_log2FC": 123,
"beta": 123,
"se": 123,
"gene": "<string>",
"gene_consequence": "<string>",
"neg_log10_pvalue": 123,
"p_value": 123,
"neg_log10_pvalue_adj": 123,
"variant_effect_score": 123,
"SEMpl_annotation": "<string>",
"SEMpl_baseline": 123,
"alt_score": 123,
"ref_score": 123,
"relative_binding_affinity": 123,
"effect_on_binding": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Proteins Variants
Retrieve allele-specific transcription factor binding events from ADASTRA in cell type-specific context,
allele-specific transcription factor binding events from GVATdb, pQTL from UKB by querying proteins, and predicted allele specific binding from SEMpl.
Protein IDs support the following formats: ENSP00000384707.1 or ENSP00000384707 (Ensembl IDs) or P49711-2 (Uniprot ids).
Set verbose = true to retrieve full info on the variant-transcription factor pairs, and the ontology terms of the cell types.
At least one of these fields is required: protein_id, protein_name, uniprot_name, uniprot_full_name, dbxrefs, method, or files_fileset.
The limit parameter controls the page size and can not exceed 100.
Pagination is 0-based.
Examples by method
These examples are grouped by method; use the method filter to return data from a specific method.
ADASTRA:
query by protein identifier
- protein_id = ENSP00000281043
- method = ADASTRA
GVATdb:
query by protein identifier
- protein_id = ENSP00000315417
- method = GVATdb
SEMVAR:
query by protein identifier
- protein_id = ENSP00000351458
- method = SEMVAR
query by files_fileset
Each files_fileset maps to at most one method, so a method filter is usually not necessary.
- files_fileset = IGVFFI0005WRQP
- method = SEMVAR
pQTL:
query by protein identifier
- protein_id = ENSP00000263100
- method = pQTL
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/proteins/variantsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/proteins/variants"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/proteins/variants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"name": "<string>",
"is_complex": true,
"sequence_variant": "<string>",
"protein_complex": "<string>",
"biosample_term": "<string>",
"biological_context": "<string>",
"regulatory_type": "<string>",
"class": "<string>",
"label": "<string>",
"method": "<string>",
"files_filesets": "<string>",
"source": "<string>",
"source_url": "<string>",
"score": 123,
"neg_log10_pvalue_adj_ref": 123,
"neg_log10_pvalue_adj_alt": 123,
"motif": "<string>",
"motif_log2FC": 123,
"beta": 123,
"se": 123,
"gene": "<string>",
"gene_consequence": "<string>",
"neg_log10_pvalue": 123,
"p_value": 123,
"neg_log10_pvalue_adj": 123,
"variant_effect_score": 123,
"SEMpl_annotation": "<string>",
"SEMpl_baseline": 123,
"alt_score": 123,
"ref_score": 123,
"relative_binding_affinity": 123,
"effect_on_binding": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
allele-specific binding, pQTL, predicted allele-specific binding ADASTRA, GVATdb, IGVF, UKB ADASTRA, GVATdb, SEMVAR, pQTL binding modulated by, level associated with Homo sapiens true, false Response
Successful response